<!DOCTYPE html>
<html ng-app="myApp">

<head>
    <link
      rel="shortcut icon"
      href="../img/screen.png"
      type="image/x-icon"
    />
    <title>Pense S.A Company</title>
  <link rel="stylesheet" href="./src/style/style.css" />
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.8.2/angular.min.js"></script>
  <style>
    body {
      font-family: Arial, sans-serif;
    }

    .navbar {
        background-color: #fff;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    }

    .navbar-brand img {
        max-height: 50px;
        padding: 10px;
    }

    .navbar-menu {
        background-color: #fff;
    }

    .navbar-end {
        display: flex;  
        gap: 10px;
        justify-content: center;
        align-items: center;
    }

    .login-button {
        height: 45px;
        background-color: #035388; /* Use a cor desejada */
        border: none;
        border-radius: 10px 10px;
        color: #fff;
    }

    .login-button:hover {
        cursor: pointer;
        color: #fff;
        background-color: #6bbcf1; /* Use a cor desejada */
    }

    .signup-button {
        height: 45px;
        background-color: #035388; /* Use a cor desejada */
        border: none;
        border-radius: 10px 10px;
        color: #fff;
    }

    .signup-button:hover {
        cursor: pointer;
        color: #fff;
        background-color: #6bbcf1; /* Use a cor desejada */
    }
  </style>
</head>

<body ng-controller="myController">

    <nav class="navbar" role="navigation" aria-label="main navigation">
        <div class="navbar-brand">
            <a class="navbar-item" href="/">
                <img src="../img/screen.png" alt="Logo" id="pic-profile" />
                <h1 id="name-user"></h1>
            </a>
            <a
                role="button"
                class="navbar-burger"
                aria-label="menu"
                aria-expanded="false"
                data-target="navbarBasicExample"
            >
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
                <span aria-hidden="true"></span>
            </a>
        </div>

        <!-- Movendo os botões de login e cadastro para a direita -->
        <div class="navbar-end is-flex is-flex-mobile">
            <button class="btn btn-primary" ng-click="showFreelancers()">Freelancer</button>
            <button class="btn btn-primary" ng-click="showProjectForm()">Projeto</button>
        </div>
    </nav>

    <div class="container mt-4" ng-show="showFreelancerView">
        <div class="row">
            <div class="col-md-4" ng-repeat="item in items">
                <div class="card">
                    <img class="card-img-top" ng-src="{{item.image}}" alt="{{item.title}}">
                    <div class="card-body">
                        <h5 class="card-title">{{item.title}}</h5>
                        <p class="card-text">{{item.description}}</p>
                        <p class="card-text"><small class="text-muted">Date: {{item.date | date:'medium'}}
                                <br>Time: {{item.date | date:'shortTime'}}</small></p>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container mt-4 project-form" ng-show="showProjectFormView">
        <!-- Your project form content goes here -->
        <form>
            <div class="form-group">
                <label for="projectTitle">TITULO DO PROJETO</label>
                <input type="text" class="form-control" id="projectTitle" placeholder="Enter project title">
            </div>
            <div class="form-group">
                <label for="projectDescription">DESCRIÇÃO DO PROJETO</label>
                <textarea class="form-control" id="projectDescription" rows="3" placeholder="Enter project description"></textarea>
            </div>
            <!-- Add more form fields as needed -->
            <div class="form-group">
                <label for="projectTitle">Valor</label>
                <input type="text" class="form-control" id="projectTitle" placeholder="Enter project valor">
            </div>

            <button type="submit" class="btn btn-primary">Enviar Projeto</button>
        </form>
    </div>

    <script>
        angular.module('myApp', [])
            .controller('myController', function ($scope) {
                $scope.items = [
                    {
                        image: 'path/to/image1.jpg',
                        title: 'Item 1',
                        description: 'Description for Item 1',
                        date: new Date()
                    },
                    {
                        image: 'path/to/image2.jpg',
                        title: 'Item 2',
                        description: 'Description for Item 2',
                        date: new Date()
                    },
                    // Add more items as needed
                ];

                $scope.showFreelancerView = true;
                $scope.showProjectFormView = false;

                $scope.showFreelancers = function () {
                    $scope.showFreelancerView = true;
                    $scope.showProjectFormView = false;
                };

                $scope.showProjectForm = function () {
                    $scope.showFreelancerView = false;
                    $scope.showProjectFormView = true;
                };
            });
    </script>

</body>

</html>
